## securecgi 0.11

=== debian/changelog ===
securecgi (0.11) unstable; urgency=low

  * Variable SCGI_MODE=REMOTE_USER renamed to SCGI_REMOTE_USER_MODE=1.
  * New binary nph-securecgi.
  * Add support for RLIMIT_LOCKS.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 28 Jul 2003 15:07:26 +0200

securecgi (0.10) unstable; urgency=low

  * Built with automake1.7
  * Support for SCGI_MODE=REMOTE_USER setting
  * nph-securecgi binary

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 20 Jun 2003 22:20:51 +0200

securecgi (0.9.2.1) unstable; urgency=low

  * yada: fixed handling of virtual package's depends

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 25 Nov 2002 14:32:58 +0100

securecgi (0.9.2) unstable; urgency=low

  * Handle REDIRECT_STATUS != 200

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 25 Nov 2002 12:35:14 +0100

securecgi (0.9.1) unstable; urgency=low

  * Man page was in wrong place, closes: #158309

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 30 Aug 2002 13:06:09 +0200

securecgi (0.9) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Wed, 14 Aug 2002 17:05:01 +0200
