=== debian/control ===
Source: securecgi
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: web
Priority: extra
Standards-Version: 3.6.10
Build-Depends: libcap-dev, automake1.7, autoconf, yada (>= 0.15)
Origin: debian

Package: securecgi
Architecture: any
Suggests: apache | httpd
Description: Wrapper for secure executing of CGI programs
 The suid-ed wrapper which executes CGI scripts with owner rights.
 It also modifies resources limits and drops capabilities.
